#
# spec file for package gnome-weather
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-weather
%define _name org.gnome.Weather.Application
Version:        3.10.1
Release:        0
Summary:        Weather App for GNOME
License:        GPL-2.0+
Group:          Productivity/Other
Url:            https://live.gnome.org/Design/Apps/Weather
Source:         http://download.gnome.org/sources/gnome-weather/3.10/%{name}-%{version}.tar.xz
BuildRequires:  gjs
BuildRequires:  intltool >= 0.26
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.9.4
BuildRequires:  pkgconfig(gweather-3.0) >= 3.9.5
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
GNOME 3 weather app that does:
* display current conditions
* display forecasts
* show radar maps
* notify on hazardous weather conditions

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print
%suse_update_desktop_file %{_name} Utility DesktopUtility
%find_lang %{_name}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/%{_name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.Weather.Application.appdata.xml
%{_datadir}/applications/org.gnome.Weather.Application.desktop
%{_datadir}/%{_name}/
%{_datadir}/dbus-1/services/org.gnome.Weather.Application.service
%{_datadir}/glib-2.0/schemas/org.gnome.Weather.Application.gschema.xml
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/org.gnome.Weather.Application.search-provider.ini
%{_datadir}/icons/hicolor/*/apps/%{_name}.*

%files lang -f %{_name}.lang

%changelog
